JasPer: jas_debug.h File Reference

JasPer 3.0.6 |

Macros | Functions
jas_debug.h File Reference

JasPer Debugging-Related Functionality. More...

`#include <jasper/jas_config.h>`
`#include "jasper/jas_init.h"`
`#include "jasper/jas_debug.h"`
`#include <stdio.h>`
`#include <stdarg.h>`

Go to the source code of this file.

## Macros
#define | JAS_STRINGIFY(x) #x
| Convert to a string literal. More...
#define | JAS_STRINGIFYX(x) JAS_STRINGIFY(x)
| Convert to a string literal after macro expansion. More...

## Functions
JAS_EXPORT void | jas_deprecated (const char *fmt,...)
| Warn about the use of deprecated functionality. More...
static JAS_DEPRECATED int | jas_getdbglevel (void)
| Get the library debug level. More...
JAS_EXPORT int | jas_setdbglevel (int dbglevel)
| Set the library debug level. More...
JAS_EXPORT int | jas_eprintf (const char *fmt,...)
| Print formatted text for the standard error stream (i.e., stderr). More...
JAS_EXPORT int | jas_logprintf (const char *fmt,...)
| Generate a generic log message. More...
JAS_EXPORT int | jas_logerrorf (const char *fmt,...)
| Generate an error log message. More...
JAS_EXPORT int | jas_logwarnf (const char *fmt,...)
| Generate a warning log message. More...
JAS_EXPORT int | jas_loginfof (const char *fmt,...)
| Generate an informational log message. More...
JAS_EXPORT int | jas_logdebugf (int priority, const char *fmt,...)
| Generate a debugging log message. More...
int | jas_logmemdump (const void *data, size_t len)
| Dump memory. More...
JAS_EXPORT int | jas_memdump (FILE *out, const void *data, size_t len)
| Dump memory to a stream. More...

## Detailed Description

JasPer Debugging-Related Functionality.

## Macro Definition Documentation

## ◆ JAS_STRINGIFY

#define JAS_STRINGIFY | ( |  | x | ) | #x

Convert to a string literal.

## ◆ JAS_STRINGIFYX

#define JAS_STRINGIFYX | ( |  | x | ) | JAS_STRINGIFY(x)

Convert to a string literal after macro expansion.

## Function Documentation

## ◆ jas_deprecated()

JAS_EXPORT void jas_deprecated | ( | const char * | fmt,
|  |  | ...
| ) |  |

Warn about the use of deprecated functionality.

## ◆ jas_eprintf()

JAS_EXPORT int jas_eprintf | ( | const char * | fmt,
|  |  | ...
| ) |  |

Print formatted text for the standard error stream (i.e., stderr).

## ◆ jas_getdbglevel()

static JAS_DEPRECATED int jas_getdbglevel | ( | void |  | ) |
| inlinestatic

Get the library debug level.

Deprecated:
  This function is deprecated.

## ◆ jas_logdebugf()

JAS_EXPORT int jas_logdebugf | ( | int | priority,
|  | const char * | fmt,
|  |  | ...
| ) |  |

Generate a debugging log message.

## ◆ jas_logerrorf()

JAS_EXPORT int jas_logerrorf | ( | const char * | fmt,
|  |  | ...
| ) |  |

Generate an error log message.

## ◆ jas_loginfof()

JAS_EXPORT int jas_loginfof | ( | const char * | fmt,
|  |  | ...
| ) |  |

Generate an informational log message.

## ◆ jas_logmemdump()

int jas_logmemdump | ( | const void * | data,
|  | size_t | len
| ) |  |

Dump memory.

## ◆ jas_logprintf()

JAS_EXPORT int jas_logprintf | ( | const char * | fmt,
|  |  | ...
| ) |  |

Generate a generic log message.

## ◆ jas_logwarnf()

JAS_EXPORT int jas_logwarnf | ( | const char * | fmt,
|  |  | ...
| ) |  |

Generate a warning log message.

## ◆ jas_memdump()

JAS_EXPORT int jas_memdump | ( | FILE * | out,
|  | const void * | data,
|  | size_t | len
| ) |  |

Dump memory to a stream.

## ◆ jas_setdbglevel()

JAS_EXPORT int jas_setdbglevel | ( | int | dbglevel | ) |

Set the library debug level.